Bug 1574994 - Cannot list ostree repos on new red hat repositories page
Summary: Cannot list ostree repos on new red hat repositories page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Partha Aji
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 13:31 UTC by Sanket Jagtap
Modified: 2019-11-05 23:18 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.rc1.2-0.1.rc1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:23:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
ostree undefined (59.13 KB, image/png)
2018-05-04 13:31 UTC, Sanket Jagtap
no flags Details
ScreenShot (92.69 KB, image/png)
2018-07-04 07:48 UTC, Sanket Jagtap
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23650 0 None None None 2018-05-18 22:07:19 UTC

Description Sanket Jagtap 2018-05-04 13:31:21 UTC
Created attachment 1431357 [details]
ostree undefined

Version: Using develop branch
[vagrant@centos7-devel ~]$ rpm -qa | grep foreman
foreman-installer-1.18.0-0.develop.201804050328gitc9bede9.el7.noarch
foreman-release-1.18.0-0.develop.201804051543gitc07e531.el7.noarch
foreman-release-scl-4-1.el7.noarch
foreman-debug-1.18.0-0.develop.201804051543gitc07e531.el7.noarch
foreman-proxy-1.18.0-0.develop.201804051139gitaaaa773.el7.noarch
foreman-installer-katello-3.7.0-1.nightly.201804052204gitdd307b0.el7.noarch
foreman-selinux-1.18.0-0.develop.201804021016git128e06f.el7.noarch

Steps:
1) Upload a Manifest for Subscriptions
2) Go to the Red Hat Repos page (/redhat_repositories)
3) In search type content_type = ostree
4) Try to enable a product

Actual Result:
PFA
undefined

Expected Result:
It should list down
Red Hat Enterprise Linux Atomic Host Trees
Red Hat Enterprise Linux Atomic Host Beta Trees

Comment 2 Partha Aji 2018-05-18 22:07:17 UTC
Connecting redmine issue http://projects.theforeman.org/issues/23650 from this bug

Comment 3 Brad Buckingham 2018-06-14 21:17:28 UTC
Moving to POST as upstream PR is merged and issue closed.

Comment 4 Sanket Jagtap 2018-07-04 07:46:44 UTC
Build: Satellite 6.4.0 snap10

I am still unable to see the list for mentioned products

PFA, screenshot of the page

Comment 5 Sanket Jagtap 2018-07-04 07:48:27 UTC
Created attachment 1456401 [details]
ScreenShot

I am now able to select and enable , but it still says unspecified , before and after we enable

Comment 6 Partha Aji 2018-07-13 22:26:38 UTC
Note fix for https://bugzilla.redhat.com/show_bug.cgi?id=1580438 fixes this issue also. While I do not want to call them duplicates, the same solution fixes both bugs. Going to mark em "ON_DEV".

"Uspecified" is the correct behavior when enabling OSTree repositories because the CDN does not provide an arch substitution for OSTree repos. "Unspecified" arch is going to be the default placeholder for arch  if CDN does not provide us that information.

Comment 11 Sanket Jagtap 2018-07-17 13:15:31 UTC
Build:Satellite 6.4.0 snap12


Repositories (without arch) will be displayed as "unspecified" as CDN will not hold any arch information for the repository.

Eg: Red Hat Enterprise Linux Atomic Host Kickstart

Marking the bug as Verified as this is intended behavior

Comment 12 Bryan Kearney 2018-10-16 19:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.